EmbeddableServer (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## grails.web.container
[Java] Interface EmbeddableServer

    public interface EmbeddableServer

Defines the container implementation used by Grails during development.

Authors:
  Graeme Rocher

Since:
  1.1

Field Summary
`java.lang.String` | `DEFAULT_HOST`
`int` | `DEFAULT_PORT`
`int` | `DEFAULT_SECURE_PORT`

Method Summary
`void` | `restart()` Typically combines the stop() and start() methods in order to restart the container
`void` | `start()` Starts the container on the default port
`void` | `start(int port)` Starts the container on the given port
`void` | `start(java.lang.String host, int port)` Starts the container on the given port
`void` | `startSecure()` Starts a secure container running over HTTPS
`void` | `startSecure(int port)` Starts a secure container running over HTTPS for the given port
`void` | `startSecure(java.lang.String host, int httpPort, int httpsPort)` Starts a secure container running over HTTPS for the given port and host.
`void` | `stop()` Stops the container

Field Detail

### DEFAULT_HOST

    public java.lang.String DEFAULT_HOST

### DEFAULT_PORT

    public int DEFAULT_PORT

### DEFAULT_SECURE_PORT

    public int DEFAULT_SECURE_PORT

Method Detail

### restart

    public void restart()

  Typically combines the stop() and start() methods in order to restart the container

### start

    public void start()

  Starts the container on the default port

### start

    public void start(int port)

  Starts the container on the given port
  Parameters:
    `port` - The port number

### start

    public void start(java.lang.String host, int port)

  Starts the container on the given port
  Parameters:
    `host` - The host to start on
    `port` - The port number

### startSecure

    public void startSecure()

  Starts a secure container running over HTTPS

### startSecure

    public void startSecure(int port)

  Starts a secure container running over HTTPS for the given port
  Parameters:
    `port` - The port

### startSecure

    public void startSecure(java.lang.String host, int httpPort, int httpsPort)

  Starts a secure container running over HTTPS for the given port and host.
  Parameters:
    `host` - The server host
    `httpPort` - The port for HTTP traffic.
    `httpsPort` - The port for HTTPS traffic.

### stop

    public void stop()

  Stops the container

Groovy Documentation